## NAME

r.out.gdal - Exports GRASS raster data into various formats (requires GDAL)

## SYNOPSIS

r.out.gdal
r.out.gdal help
r.out.gdal [-l] [input=string] [format=string] [type=string] [output=string] [createopt=string] [metaopt=string]

### Flags:

-l
  list supported output formats

### Parameters:

input=string
  Name of input raster map
format=string
  GIS format to write (case sensitive, see also -l flag)
  Options: AAIGrid,BMP,BSB,DTED,ELAS,ENVI,FIT,GIF,GTiff,HFA,JPEG,MEM,MFF,MFF2,NITF,PAux,PNG,PNM,VRT,XPM
  Default: GTiff
type=string
  file type
  Options: Byte,Int16,UInt16,UInt32,Int32,Float32,Float64,CInt16,CInt32,CFloat32,CFloat64
output=string
  Name of output file
createopt=string
  creation option to the output format driver. Multiple options may be listed
metaopt=string
  metadata key passed on the output dataset if possible

## DESCRIPTION

r.out.gdal outputs GRASS raster maps into various GIS formats as supported by GDAL. This script is based on 'gdal_translate', it's parameters are similar to those of 'gdal_translate'. For possible metaopt parameters see the 'supported formats' pages of GDAL. The createopt may be used to create TFW or World files ("TFW=YES", "WORLDFILE=ON").

## SUPPORTED FORMATS

The set of supported formats written by r.out.gdal depend on the local GDAL installation. Available may be (incomplete list):

      AAIGrid: Arc/Info ASCII Grid
      BMP: MS Windows Device Independent Bitmap
      BSB: Maptech BSB Nautical Charts
      DTED: DTED Elevation Raster
      ELAS: ELAS
      ENVI: ENVI .hdr Labelled
      FIT: FIT Image
      GIF: Graphics Interchange Format (.gif)
      GTiff: GeoTIFF
      HDF4Image: HDF4 Dataset
      HFA: Erdas Imagine Images (.img)
      JPEG2000: JPEG-2000 part 1 (ISO/IEC 15444-1)
      JPEG: JPEG JFIF
      MEM: In Memory Raster
      MFF2: Atlantis MFF2 (HKV) Raster
      MFF: Atlantis MFF Raster
      NITF: National Imagery Transmission Format
      PAux: PCI .aux Labelled
      PCIDSK: PCIDSK Database File
      PNG: Portable Network Graphics
      PNM: Portable Pixmap Format (netpbm)
      VRT: Virtual Raster
      XPM: X11 PixMap Format

## NOTES

When writing out GeoTIFF format for users of ESRI software or ImageMagick, the band interleaving should be switched to pixel interleaving using createopt="INTERLEAVE=PIXEL" .

## REFERENCES

GDAL library

## SEE ALSO

r.out.arc, r.out.ascii, r.out.tiff

## AUTHOR

Markus Neteler, ITC-irst, Italy

Last changed: $Date: 2005/08/03 13:05:43 $

Help Index